DH_INSTALLINIT(1)

NAME
dh_installinit - installiert Dienstinitialisierungsdateien in Paketbauverzeichnisse

ÜBERSICHT
dh_installinit [Debhelper-Optionen] [--name=Name] [-n] [-R] [-r] [-d] [-- Parameter]

BESCHREIBUNG
dh_installinit ist ein Debhelper-Programm, das für die Installation von Init-Skripten mit den zugehörigen Standarddateien verantwortlich ist. In Kompatibilitätsstufen bis einschließlich 10 wird dh_installinit auch einige Systemd-bezogenen Dateien installieren, die von Debian-Paketen bereitgestellt werden (siehe den nachfolgenden Abschnitt "DATEIEN"). In Kompatibilitätsstufen bis einschließlich 11 wird dh_installinit auch die in der Debian-Paketierung bereitgestellten Upstart-Jobs handhaben (weitere Informationen darüber finden Sie auch unter "DATEIEN").

Es erzeugt außerdem automatisch die postinst-, postrm- und prerm-Skripte, die nötig sind, um die symbolischen Links in /etc/rc*.d/ einzurichten und die Init-Skripte zu starten und zu stoppen.

In Kompatibilitätsstufe 10 oder älter: Falls ein Paket nur eine Systemd-Dienstdatei mitbringt und kein SysVinit-Skript bereitgestellt wird, möchten Sie möglicherweise den Aufruf von »dh_installinit« für dieses Paket ausschließen (z. B. per -N). Andernfalls könnten Sie von Lintian Warnungen vor »init.d«-Skripte bekommen, die nicht im Paket enthalten sind.

DATEIEN

debian/Paket.init
    Falls vorhanden, wird es in etc/init.d/Paket im Paketbauverzeichnis installiert.

debian/Paket.default
    Falls vorhanden, wird es in etc/default/Paket im Paketbauverzeichnis installiert.

debian/Paket.upstart
    In Kompatibilitätsstufe 11 wird diese Datei einen Fehler auslösen, der daran erinnert, dass das ordentliche Entfernen der Upstart-Datei in der vorherigen Paketversion sichergestellt werden soll. Bitte ziehen Sie die Verwendung der Funktionalität »rm_conffile« von dh_installdeb(1) in Betracht, um das ordentliche Entfernen früherer Upstart-Dateien sicherzustellen.

    Falls diese Datei in Kompatibilitätsstufe 10 existiert, wird sie in etc/init/Paket.conf im Paketbauverzeichnis installiert.

debian/Paket.service
    Falls vorhanden, wird es in usr/lib/systemd/system/Paket.service im Paketbauverzeichnis installiert. Wird nur in Kompatibilitätsstufen 10 und darunter benutzt.

debian/Paket.tmpfile
    Falls vorhanden, wird es in usr/lib/systemd/system/Paket.conf im Paketbauverzeichnis installiert. Wird nur in Kompatibilitätsstufen 10 und darunter benutzt.

OPTIONEN

-n, --no-scripts
    ändert keine postinst-/postrm/prerm-Skripte.

-o, --only-scripts
    verändert nur die postinst-/postrm-/prerm-Skripte und installiert kein Init-Skript, keine Vorgabedateien, keinen Upstart-Job und keine Systemd-Dienstdatei; kann nützlich sein, falls die Datei von den Originalautoren auf eine Art mitgeliefert/installiert wird, die es dh_installinit erschwert, sie zu finden.

    Warnung: Dies wird alle normalen Prüfungen umgehen und die Skripte bedingungslos verändern. Sie werden es mit Sicherheit mit -p verwenden wollen, um einzugrenzen, welche Pakete von dem Aufruf betroffen sind. Beispiel:

     override_dh_installinit:
            dh_installinit -pfoo --only-scripts
            dh_installinit --remaining

-R, --restart-after-upgrade
    stoppt das Init-Skript nicht, bis das Paket-Upgrade komplett durchgeführt wurde. Dies ist das Standardverhalten für Kompatibilitätsmodus 10.

    In älteren Kompatibilitätsmodi war es Standardverhalten, dass das Skript in prerm stoppt und es in postinst wieder startet.

    Dies kann nützlich für Daemons sein, die während des Upgrades nicht allzu lange ausfallen sollen. Sie sollten aber, bevor Sie diese Option verwenden, sicherstellen, dass der Daemon damit zurechtkommt, dass im laufenden Betrieb sein Paket ausgetauscht wird.

--no-restart-after-upgrade
    macht ein vorhergehendes --restart-after-upgrade (oder die Voreinstellung des Kompatibilitätsmodus 10) rückgängig. Falls keine weiteren Optionen angegeben wurden, wird dies dafür sorgen, dass der Dienst im prerm-Skript gestoppt und im postinst-Skript wieder gestartet wird.

-r, --no-stop-on-upgrade, --no-restart-on-upgrade
    lässt das Init-Skript beim Upgrade weiterlaufen. Dies hat den Nebeneffekt, dass der Dienst nicht als Teil des Upgrades neu gestartet wird.

    Falls Sie den Dienst mit minimaler Stillstandzeit neu starten möchten, benutzen Sie bitte --restart-after-upgrade (Voreinstellung in Kompatibilitätsstufe 10 oder höher). Falls Sie wollen, dass der Dienst neu gestartet, jedoch während des Upgrades gestoppt wird, benutzen Sie bitte --no-restart-after-upgrade (beachten Sie das »after-upgrade«).

    Beachten Sie, dass der Alias --no-restart-on-upgrade missbilligt ist und in Kompatibilitätsstufe 12 entfernt wird, um Verwirrung mit der Option --no-restart-after-upgrade zu vermeiden. Die Variante --no-stop-on-upgrade wurde in Debhelper 10.2 (enthalten in Debian Stretch) eingeführt.

--no-start
    startet das Init-Skript bei der Installation oder dem Upgrade nicht und stoppt es nicht beim Entfernen. Rufen Sie nur update-rc.d auf. Nützlich für rcS-Skripte.

--no-enable
    Disable the init script on purge, but do not enable them on install. Note that this requires init-system-helpers >= 1.51 as it is the first (functional) version that supports update-rc.d <script> defaults-disabled.

    Beachten Sie, dass diese Option nicht beeinflusst, ob die Dienste gestartet werden. Bitte denken Sie daran, auch --no-start zu verwenden, falls der Dienst nicht gestartet werden soll.

    kann nicht mit -uParameter, --update-rcd-params=Parameter oder -- Parameter kombiniert werden.

-d, --remove-d
    entfernt abschließende d vom Namen des Pakets und benutzt das Ergebnis als Dateiname, unter dem die Upstart-Job-Datei in etc/init/ installiert wird, sowie als Dateiname für das Init-Skript in etc/init.d und die Standarddatei in etc/default/. Dies kann nützlich für Daemons sein, deren Namen mit d enden. (Anmerkung: Hat Vorrang gegenüber dem im Folgenden beschriebenen Parameter --init-script.)

-uParameter --update-rcd-params=Parameter
-- Parameter
    übergibt Parameter an update-rc.d(8). Falls nicht angegeben, wird defaults (oder bei --no-enable defaults-disabled) an update-rc.d(8) übergeben.

    kann nicht mit --no-enable kombiniert werden.

--name=Name
    installiert das Init-Skript (und die Standarddatei) ebenso wie den Upstart-Job unter Benutzung des Dateinamens Name an Stelle des Standarddateinamens, der dem Paketnamen entspricht. Wenn dieser Parameter verwendet wird, sucht und installiert dh_installinit Dateien mit dem Namen debian/package.name.init, debian/package.name.default und debian/package.name.upstart an Stelle der üblichen debian/package.init, debian/package.default und debian/package.upstart.

--init-script=Skriptname
    benutzt Skriptname als Dateiname, unter dem das Init-Skript in etc/init.d/ installiert wird (und verwendet ihn außerdem als Dateinamen der Standarddatei, falls sie installiert wird). Sollten Sie diesen Parameter einsetzen, wird dh_installinit nachsehen, ob im Verzeichnis debian/ nach einer Datei namens Paket.Skriptname suchen und, falls gefunden, bei der Installation als Init-Skript den üblicherweise installierten Dateien vorziehen.

    Dieser Parameter ist veraltet, benutzen Sie stattdessen --name. Desweiteren ist er für die Benutzung mit Upstart-Jobs inkompatibel.

--error-handler=Funktion
    ruft die Shell-Funktion mit diesem Namen auf, falls die Ausführung des Init-Skripts fehlschlägt. Die Funktion sollte in den prerm- und postinst-Skripten vor der Markierung #DEBHELPER# bereitgestellt werden.

ANMERKUNGEN
Beachten Sie, dass dieser Befehl nicht idempotent ist. Zwischen mehreren Aufrufen dieses Befehls sollte dh_prep(1) aufgerufen werden. Ansonsten könnte er zur Folge haben, dass den Betreuerskripten mehrere Instanzen des gleichen Textes hinzugefügt werden.

SIEHE AUCH
debhelper(7), dh_installsystemd(1)

Dieses Programm ist Teil von Debhelper.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <http://po4a.alioth.debian.org/> durch Chris Leick c.leick@vollbio.de und das deutsche Debian-Übersetzer-Team im Dezember 2011 erstellt.

Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket debhelper.

Sie können mit dem folgenden Befehl das englische Original anzeigen man -L en Abschnitt Handbuchseite

AUTOREN
Joey Hess <joeyh@debian.org>

Steve Langasek <steve.langasek@canonical.com>

Michael Stapelberg <stapelberg@debian.org>